function solvediag(LN,varargin)
% fc_amat.benchs.solvediag    benchmarking of the chol method of an amat object
%   
  assert( fc_tools.utils.is_fcPackage('bench') )
  
  setfun=@(varargin) fc_amat.benchs.set_solve(varargin{:},'kind','diag');
  %sfun='@(A,B) solvetriu(A,B);'
  sfun='@(A,B) fc_amat.solver.diagonal(A,B);'
  Lfun={eval(sfun)};
  comment=['# Benchmarking command: ',sfun,'\n'];
  fc_bench.bench(Lfun,setfun,LN,varargin{:},'comment',comment)
end
