function plotmesh2D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMesh2D(2);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMesh2D(1);
  [q0,me0,toGlobal0]=fc_meshtools.simplicial.getMesh2D(0);
  figure(1)
  fc_graphics4mesh.plotmesh(q2,me2,'Color','LightGray','DisplayName','2-simplex')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','DisplayName','1-simplex')
  fc_graphics4mesh.plotmesh(q0,me0,'color','red','DisplayName','0-simplex')
  axis image
  legend show
  
  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'fill',true,'Color','LightGray')
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','black','Linewidth',2, 'DisplayName','1-simplex')
  fc_graphics4mesh.plotmesh(q0,me0,'color','red','markersize',8, 'DisplayName','0-simplex')
  axis image;axis off
  legend show  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end 
