function meshfile=buildmesh3ds(geofile,N,varargin)
% FUNCTION fc_oogmsh.gmsh.buildmesh3ds
%   Builds a 3D surface gmsh mesh file from a .geo file 
%
% USAGE:
%   meshfile=fc_oogmsh.gmsh.buildmesh3ds(geofile,N)
%   meshfile=fc_oogmsh.gmsh.buildmesh3ds(geofile,N,key,value)
%   
%   See fc_oogmsh.gmsh.buildmesh
%
% Copyright (C) 2017-2020 F. Cuvelier
  meshfile=fc_oogmsh.gmsh.buildmesh(geofile,N,'d',2,varargin{:});
end
