function plotGradBaCo2D(distribute)
  if nargin==0, distribute=true;end
  close all  % :start:
  [q2,me2,toGlobal2]=fc_meshtools.simplicial.getMeshArrays('2D',2,true);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('2D',1,true);
  figure(1)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray')
  hold on
  fc_graphics4mesh.plotGradBaCo(q2,me2)
  axis image;axis off

  figure(2)
  fc_graphics4mesh.plotmesh(q2,me2,'color','LightGray')
  hold on
  fc_graphics4mesh.plotGradBaCo(q1,me1)
  axis image;axis off  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
